Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\RichText\ConverterDispatcher Class Reference

Dispatcher for various converters depending on the XML document namespace. More...

## Public Member Functions
| __construct ($converterMap)
| addConverter ($namespace, Converter $converter=null)
| Adds converter mapping. More...
| dispatch (DOMDocument $document)
| Dispatches DOMDocument to the namespace mapped converter. More...

## Protected Attributes
| $mapping = []

## Detailed Description

Dispatcher for various converters depending on the XML document namespace.

Deprecated:
  since 7.4, use \EzSystems\EzPlatformRichText\eZ\RichText\ConverterDispatcher from EzPlatformRichTextBundle.

Definition at line 17 of file ConverterDispatcher.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\RichText\ConverterDispatcher::__construct | ( |  | $converterMap | ) |

Parameters

  \eZ\Publish\Core\FieldType\RichText\Converter[] | $converterMap |

Definition at line 29 of file ConverterDispatcher.php.

References eZ\Publish\Core\FieldType\RichText\ConverterDispatcher\addConverter().

## Member Function Documentation

## ◆ addConverter()

eZ\Publish\Core\FieldType\RichText\ConverterDispatcher::addConverter | ( |  | $namespace,
|  | Converter | $converter = `null`
| ) |  |

Adds converter mapping.

Parameters

  string | $namespace |
  \eZ\Publish\Core\FieldType\RichText\Converter | null | $converter |

Definition at line 42 of file ConverterDispatcher.php.

Referenced by eZ\Publish\Core\FieldType\RichText\ConverterDispatcher\__construct().

## ◆ dispatch()

eZ\Publish\Core\FieldType\RichText\ConverterDispatcher::dispatch | ( | DOMDocument | $document | ) |

Dispatches DOMDocument to the namespace mapped converter.

Exceptions

Definition at line 56 of file ConverterDispatcher.php.

## Member Data Documentation

## ◆ $mapping

eZ\Publish\Core\FieldType\RichText\ConverterDispatcher::$mapping = []
| protected

Definition at line 24 of file ConverterDispatcher.php.

The documentation for this class was generated from the following file:

- ConverterDispatcher.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.